Bug 119317 - up2date mirrors are broken because of missing header.info file
up2date mirrors are broken because of missing header.info file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 08:16 EST by Petri T. Koistinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 10:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2004-03-29 08:16:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Debian/1.6-3 StumbleUpon/1.902

Description of problem:
[root@dsl-hkigw4db2 root]# yum update
-bash: /usr/bin/yum: Tiedostoa tai hakemistoa ei ole
[root@dsl-hkigw4db2 root]# up2date -u
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/
There was a fatal error communicating with the server. The message was:
 
An HTTP error occurred:
URL:
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386//headers/header.info
Status Code: 404
Error Message: Not Found
 
[root@dsl-hkigw4db2 root]# up2date -u
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirrors.kernel.org/fedora/core/development/i386/
 
Fetching Obsoletes list for channel: fedora-core-rawhide...
 
Fetching rpm headers...
 
Name                                    Version        Rel
----------------------------------------------------------
 
All packages are currently up to date
[root@dsl-hkigw4db2 root]# up2date yum
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirrors.kernel.org/fedora/core/development/i386/
 
Fetching Obsoletes list for channel: fedora-core-rawhide...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
yum                                     2.0.6          1             
     noarch
 
 
Testing package set / solving RPM inter-dependencies...
########################################
yum-2.0.6-1.noarch.rpm:      There was a fatal error communicating
with the server. The message was:
 
An HTTP error occurred:
URL:
http://mirrors.kernel.org/fedora/core/development/i386//yum-2.0.6-1.noarch.rpm
Status Code: 404
Error Message: Not Found
 
[root@dsl-hkigw4db2 root]# up2date yum
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirrors.kernel.org/fedora/core/development/i386/
 
Fetching Obsoletes list for channel: fedora-core-rawhide...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
yum                                     2.0.6          1             
     noarch
 
 
Testing package set / solving RPM inter-dependencies...
########################################
yum-2.0.6-1.noarch.rpm:      There was a fatal error communicating
with the server. The message was:
 
An HTTP error occurred:
URL:
http://mirrors.kernel.org/fedora/core/development/i386//yum-2.0.6-1.noarch.rpm
Status Code: 404
Error Message: Not Found
 
[root@dsl-hkigw4db2 root]#


Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1.1

How reproducible:
Always

Steps to Reproduce:
1. up2date -u


Additional info:

There are some extra slashes in URLs with default configuration files,
which should be shaved away too.
Comment 1 Petri T. Koistinen 2004-04-05 10:03:40 EDT
should be fixed by now, but I am using yum now.

Note You need to log in before you can comment on or make changes to this bug.